--ALTER TABLE dds_country_code ALTER COLUMN cx_4_code SET NOT NULL;

ALTER TABLE dds_country_code add column insee_code character varying(5);

UPDATE dds_country_code set insee_code = '99101' WHERE country_code_iso ='DK';
UPDATE dds_country_code set insee_code = '99101' WHERE country_code_iso ='FO';
UPDATE dds_country_code set insee_code = '99102' WHERE country_code_iso ='IS';
UPDATE dds_country_code set insee_code = '99103' WHERE country_code_iso ='NO';
UPDATE dds_country_code set insee_code = '99103' WHERE country_code_iso ='BV';
UPDATE dds_country_code set insee_code = '99103' WHERE country_code_iso ='SJ';
UPDATE dds_country_code set insee_code = '99104' WHERE country_code_iso ='SE';
UPDATE dds_country_code set insee_code = '99105' WHERE country_code_iso ='FI';
UPDATE dds_country_code set insee_code = '99106' WHERE country_code_iso ='EE';
UPDATE dds_country_code set insee_code = '99107' WHERE country_code_iso ='LV';
UPDATE dds_country_code set insee_code = '99108' WHERE country_code_iso ='LT';
UPDATE dds_country_code set insee_code = '99109' WHERE country_code_iso ='DE';
UPDATE dds_country_code set insee_code = '99110' WHERE country_code_iso ='AT';
UPDATE dds_country_code set insee_code = '99111' WHERE country_code_iso ='BG';
UPDATE dds_country_code set insee_code = '99112' WHERE country_code_iso ='HU';
UPDATE dds_country_code set insee_code = '99113' WHERE country_code_iso ='LI';
UPDATE dds_country_code set insee_code = '99114' WHERE country_code_iso ='RO';
UPDATE dds_country_code set insee_code = '99116' WHERE country_code_iso ='CZ';
UPDATE dds_country_code set insee_code = '99117' WHERE country_code_iso ='SK';
UPDATE dds_country_code set insee_code = '99118' WHERE country_code_iso ='BA';
UPDATE dds_country_code set insee_code = '99119' WHERE country_code_iso ='HR';
UPDATE dds_country_code set insee_code = '99120' WHERE country_code_iso ='ME';
UPDATE dds_country_code set insee_code = '99121' WHERE country_code_iso ='RS';
UPDATE dds_country_code set insee_code = '99122' WHERE country_code_iso ='PL';
UPDATE dds_country_code set insee_code = '99123' WHERE country_code_iso ='RU';
UPDATE dds_country_code set insee_code = '99125' WHERE country_code_iso ='AL';
UPDATE dds_country_code set insee_code = '99126' WHERE country_code_iso ='GR';
UPDATE dds_country_code set insee_code = '99127' WHERE country_code_iso ='IT';
UPDATE dds_country_code set insee_code = '99128' WHERE country_code_iso ='SM';
UPDATE dds_country_code set insee_code = '99129' WHERE country_code_iso ='VA';
UPDATE dds_country_code set insee_code = '99130' WHERE country_code_iso ='AD';
UPDATE dds_country_code set insee_code = '99131' WHERE country_code_iso ='BE';
UPDATE dds_country_code set insee_code = '99132' WHERE country_code_iso ='GB';
UPDATE dds_country_code set insee_code = '99132' WHERE country_code_iso ='GG';
UPDATE dds_country_code set insee_code = '99132' WHERE country_code_iso ='IM';
UPDATE dds_country_code set insee_code = '99132' WHERE country_code_iso ='JE';
UPDATE dds_country_code set insee_code = '99133' WHERE country_code_iso ='GI';
UPDATE dds_country_code set insee_code = '99134' WHERE country_code_iso ='ES';
UPDATE dds_country_code set insee_code = '99135' WHERE country_code_iso ='NL';
UPDATE dds_country_code set insee_code = '99135' WHERE country_code_iso ='AW';
UPDATE dds_country_code set insee_code = '99136' WHERE country_code_iso ='IE';
UPDATE dds_country_code set insee_code = '99137' WHERE country_code_iso ='LU';
UPDATE dds_country_code set insee_code = '99138' WHERE country_code_iso ='MC';
UPDATE dds_country_code set insee_code = '99139' WHERE country_code_iso ='PT';
UPDATE dds_country_code set insee_code = '99140' WHERE country_code_iso ='CH';
UPDATE dds_country_code set insee_code = '99144' WHERE country_code_iso ='MT';
UPDATE dds_country_code set insee_code = '99145' WHERE country_code_iso ='SI';
UPDATE dds_country_code set insee_code = '99148' WHERE country_code_iso ='BY';
UPDATE dds_country_code set insee_code = '99151' WHERE country_code_iso ='MD';
UPDATE dds_country_code set insee_code = '99155' WHERE country_code_iso ='UA';
UPDATE dds_country_code set insee_code = '99156' WHERE country_code_iso ='MK';
UPDATE dds_country_code set insee_code = '99157' WHERE country_code_iso ='XK';
UPDATE dds_country_code set insee_code = '99201' WHERE country_code_iso ='SA';
UPDATE dds_country_code set insee_code = '99203' WHERE country_code_iso ='IQ';
UPDATE dds_country_code set insee_code = '99204' WHERE country_code_iso ='IR';
UPDATE dds_country_code set insee_code = '99205' WHERE country_code_iso ='LB';
UPDATE dds_country_code set insee_code = '99206' WHERE country_code_iso ='SY';
UPDATE dds_country_code set insee_code = '99207' WHERE country_code_iso ='IL';
UPDATE dds_country_code set insee_code = '99208' WHERE country_code_iso ='TR';
UPDATE dds_country_code set insee_code = '99212' WHERE country_code_iso ='AF';
UPDATE dds_country_code set insee_code = '99213' WHERE country_code_iso ='PK';
UPDATE dds_country_code set insee_code = '99214' WHERE country_code_iso ='BT';
UPDATE dds_country_code set insee_code = '99215' WHERE country_code_iso ='NP';
UPDATE dds_country_code set insee_code = '99216' WHERE country_code_iso ='CN';
UPDATE dds_country_code set insee_code = '99217' WHERE country_code_iso ='JP';
UPDATE dds_country_code set insee_code = '99219' WHERE country_code_iso ='TH';
UPDATE dds_country_code set insee_code = '99220' WHERE country_code_iso ='PH';
UPDATE dds_country_code set insee_code = '99222' WHERE country_code_iso ='JO';
UPDATE dds_country_code set insee_code = '99223' WHERE country_code_iso ='IN';
UPDATE dds_country_code set insee_code = '99224' WHERE country_code_iso ='MM';
UPDATE dds_country_code set insee_code = '99225' WHERE country_code_iso ='BN';
UPDATE dds_country_code set insee_code = '99226' WHERE country_code_iso ='SG';
UPDATE dds_country_code set insee_code = '99227' WHERE country_code_iso ='MY';
UPDATE dds_country_code set insee_code = '99229' WHERE country_code_iso ='MV';
UPDATE dds_country_code set insee_code = '99230' WHERE country_code_iso ='HK';
UPDATE dds_country_code set insee_code = '99231' WHERE country_code_iso ='ID';
UPDATE dds_country_code set insee_code = '99232' WHERE country_code_iso ='MO';
UPDATE dds_country_code set insee_code = '99234' WHERE country_code_iso ='KH';
UPDATE dds_country_code set insee_code = '99235' WHERE country_code_iso ='LK';
UPDATE dds_country_code set insee_code = '99236' WHERE country_code_iso ='TW';
UPDATE dds_country_code set insee_code = '99238' WHERE country_code_iso ='KP';
UPDATE dds_country_code set insee_code = '99239' WHERE country_code_iso ='KR';
UPDATE dds_country_code set insee_code = '99240' WHERE country_code_iso ='KW';
UPDATE dds_country_code set insee_code = '99241' WHERE country_code_iso ='LA';
UPDATE dds_country_code set insee_code = '99242' WHERE country_code_iso ='MN';
UPDATE dds_country_code set insee_code = '99243' WHERE country_code_iso ='VN';
UPDATE dds_country_code set insee_code = '99246' WHERE country_code_iso ='BD';
UPDATE dds_country_code set insee_code = '99247' WHERE country_code_iso ='AE';
UPDATE dds_country_code set insee_code = '99248' WHERE country_code_iso ='QA';
UPDATE dds_country_code set insee_code = '99249' WHERE country_code_iso ='BH';
UPDATE dds_country_code set insee_code = '99250' WHERE country_code_iso ='OM';
UPDATE dds_country_code set insee_code = '99251' WHERE country_code_iso ='YE';
UPDATE dds_country_code set insee_code = '99252' WHERE country_code_iso ='AM';
UPDATE dds_country_code set insee_code = '99253' WHERE country_code_iso ='AZ';
UPDATE dds_country_code set insee_code = '99254' WHERE country_code_iso ='CY';
UPDATE dds_country_code set insee_code = '99255' WHERE country_code_iso ='GE';
UPDATE dds_country_code set insee_code = '99256' WHERE country_code_iso ='KZ';
UPDATE dds_country_code set insee_code = '99257' WHERE country_code_iso ='KG';
UPDATE dds_country_code set insee_code = '99258' WHERE country_code_iso ='UZ';
UPDATE dds_country_code set insee_code = '99259' WHERE country_code_iso ='TJ';
UPDATE dds_country_code set insee_code = '99260' WHERE country_code_iso ='TM';
UPDATE dds_country_code set insee_code = '99261' WHERE country_code_iso ='PS';
UPDATE dds_country_code set insee_code = '99262' WHERE country_code_iso ='TL';
UPDATE dds_country_code set insee_code = '99301' WHERE country_code_iso ='EG';
UPDATE dds_country_code set insee_code = '99302' WHERE country_code_iso ='LR';
UPDATE dds_country_code set insee_code = '99303' WHERE country_code_iso ='ZA';
UPDATE dds_country_code set insee_code = '99304' WHERE country_code_iso ='GM';
UPDATE dds_country_code set insee_code = '99306' WHERE country_code_iso ='SH';
UPDATE dds_country_code set insee_code = '99308' WHERE country_code_iso ='IO';
UPDATE dds_country_code set insee_code = '99309' WHERE country_code_iso ='TZ';
UPDATE dds_country_code set insee_code = '99310' WHERE country_code_iso ='ZW';
UPDATE dds_country_code set insee_code = '99311' WHERE country_code_iso ='NA';
UPDATE dds_country_code set insee_code = '99312' WHERE country_code_iso ='CD';
UPDATE dds_country_code set insee_code = '99314' WHERE country_code_iso ='GQ';
UPDATE dds_country_code set insee_code = '99315' WHERE country_code_iso ='ET';
UPDATE dds_country_code set insee_code = '99316' WHERE country_code_iso ='LY';
UPDATE dds_country_code set insee_code = '99317' WHERE country_code_iso ='ER';
UPDATE dds_country_code set insee_code = '99318' WHERE country_code_iso ='SO';
UPDATE dds_country_code set insee_code = '99321' WHERE country_code_iso ='BI';
UPDATE dds_country_code set insee_code = '99322' WHERE country_code_iso ='CM';
UPDATE dds_country_code set insee_code = '99323' WHERE country_code_iso ='CF';
UPDATE dds_country_code set insee_code = '99324' WHERE country_code_iso ='CG';
UPDATE dds_country_code set insee_code = '99326' WHERE country_code_iso ='CI';
UPDATE dds_country_code set insee_code = '99327' WHERE country_code_iso ='BJ';
UPDATE dds_country_code set insee_code = '99328' WHERE country_code_iso ='GA';
UPDATE dds_country_code set insee_code = '99329' WHERE country_code_iso ='GH';
UPDATE dds_country_code set insee_code = '99330' WHERE country_code_iso ='GN';
UPDATE dds_country_code set insee_code = '99331' WHERE country_code_iso ='BF';
UPDATE dds_country_code set insee_code = '99332' WHERE country_code_iso ='KE';
UPDATE dds_country_code set insee_code = '99333' WHERE country_code_iso ='MG';
UPDATE dds_country_code set insee_code = '99334' WHERE country_code_iso ='MW';
UPDATE dds_country_code set insee_code = '99335' WHERE country_code_iso ='ML';
UPDATE dds_country_code set insee_code = '99336' WHERE country_code_iso ='MR';
UPDATE dds_country_code set insee_code = '99337' WHERE country_code_iso ='NE';
UPDATE dds_country_code set insee_code = '99338' WHERE country_code_iso ='NG';
UPDATE dds_country_code set insee_code = '99339' WHERE country_code_iso ='UG';
UPDATE dds_country_code set insee_code = '99340' WHERE country_code_iso ='RW';
UPDATE dds_country_code set insee_code = '99341' WHERE country_code_iso ='SN';
UPDATE dds_country_code set insee_code = '99342' WHERE country_code_iso ='SL';
UPDATE dds_country_code set insee_code = '99343' WHERE country_code_iso ='SD';
UPDATE dds_country_code set insee_code = '99344' WHERE country_code_iso ='TD';
UPDATE dds_country_code set insee_code = '99345' WHERE country_code_iso ='TG';
UPDATE dds_country_code set insee_code = '99346' WHERE country_code_iso ='ZM';
UPDATE dds_country_code set insee_code = '99347' WHERE country_code_iso ='BW';
UPDATE dds_country_code set insee_code = '99348' WHERE country_code_iso ='LS';
UPDATE dds_country_code set insee_code = '99349' WHERE country_code_iso ='SS';
UPDATE dds_country_code set insee_code = '99350' WHERE country_code_iso ='MA';
UPDATE dds_country_code set insee_code = '99351' WHERE country_code_iso ='TN';
UPDATE dds_country_code set insee_code = '99352' WHERE country_code_iso ='DZ';
UPDATE dds_country_code set insee_code = '99389' WHERE country_code_iso ='EH';
UPDATE dds_country_code set insee_code = '99390' WHERE country_code_iso ='MU';
UPDATE dds_country_code set insee_code = '99391' WHERE country_code_iso ='SZ';
UPDATE dds_country_code set insee_code = '99392' WHERE country_code_iso ='GW';
UPDATE dds_country_code set insee_code = '99393' WHERE country_code_iso ='MZ';
UPDATE dds_country_code set insee_code = '99394' WHERE country_code_iso ='ST';
UPDATE dds_country_code set insee_code = '99395' WHERE country_code_iso ='AO';
UPDATE dds_country_code set insee_code = '99396' WHERE country_code_iso ='CV';
UPDATE dds_country_code set insee_code = '99397' WHERE country_code_iso ='KM';
UPDATE dds_country_code set insee_code = '99398' WHERE country_code_iso ='SC';
UPDATE dds_country_code set insee_code = '99399' WHERE country_code_iso ='DJ';
UPDATE dds_country_code set insee_code = '99401' WHERE country_code_iso ='CA';
UPDATE dds_country_code set insee_code = '99404' WHERE country_code_iso ='US';
UPDATE dds_country_code set insee_code = '99405' WHERE country_code_iso ='MX';
UPDATE dds_country_code set insee_code = '99406' WHERE country_code_iso ='CR';
UPDATE dds_country_code set insee_code = '99407' WHERE country_code_iso ='CU';
UPDATE dds_country_code set insee_code = '99408' WHERE country_code_iso ='DO';
UPDATE dds_country_code set insee_code = '99409' WHERE country_code_iso ='GT';
UPDATE dds_country_code set insee_code = '99410' WHERE country_code_iso ='HT';
UPDATE dds_country_code set insee_code = '99411' WHERE country_code_iso ='HN';
UPDATE dds_country_code set insee_code = '99412' WHERE country_code_iso ='NI';
UPDATE dds_country_code set insee_code = '99413' WHERE country_code_iso ='PA';
UPDATE dds_country_code set insee_code = '99414' WHERE country_code_iso ='SV';
UPDATE dds_country_code set insee_code = '99415' WHERE country_code_iso ='AR';
UPDATE dds_country_code set insee_code = '99416' WHERE country_code_iso ='BR';
UPDATE dds_country_code set insee_code = '99417' WHERE country_code_iso ='CL';
UPDATE dds_country_code set insee_code = '99418' WHERE country_code_iso ='BO';
UPDATE dds_country_code set insee_code = '99419' WHERE country_code_iso ='CO';
UPDATE dds_country_code set insee_code = '99420' WHERE country_code_iso ='EC';
UPDATE dds_country_code set insee_code = '99421' WHERE country_code_iso ='PY';
UPDATE dds_country_code set insee_code = '99422' WHERE country_code_iso ='PE';
UPDATE dds_country_code set insee_code = '99423' WHERE country_code_iso ='UY';
UPDATE dds_country_code set insee_code = '99424' WHERE country_code_iso ='VE';
UPDATE dds_country_code set insee_code = '99425' WHERE country_code_iso ='BM';
UPDATE dds_country_code set insee_code = '99425' WHERE country_code_iso ='KY';
UPDATE dds_country_code set insee_code = '99425' WHERE country_code_iso ='MS';
UPDATE dds_country_code set insee_code = '99425' WHERE country_code_iso ='TC';
UPDATE dds_country_code set insee_code = '99425' WHERE country_code_iso ='VG';
UPDATE dds_country_code set insee_code = '99425' WHERE country_code_iso ='AI';
UPDATE dds_country_code set insee_code = '99426' WHERE country_code_iso ='JM';
UPDATE dds_country_code set insee_code = '99427' WHERE country_code_iso ='GS';
UPDATE dds_country_code set insee_code = '99427' WHERE country_code_iso ='FK';
UPDATE dds_country_code set insee_code = '99428' WHERE country_code_iso ='GY';
UPDATE dds_country_code set insee_code = '99429' WHERE country_code_iso ='BZ';
UPDATE dds_country_code set insee_code = '99430' WHERE country_code_iso ='GL';
UPDATE dds_country_code set insee_code = '99431' WHERE country_code_iso ='AN';
UPDATE dds_country_code set insee_code = '99432' WHERE country_code_iso ='PR';
UPDATE dds_country_code set insee_code = '99432' WHERE country_code_iso ='VI';
UPDATE dds_country_code set insee_code = '99433' WHERE country_code_iso ='TT';
UPDATE dds_country_code set insee_code = '99434' WHERE country_code_iso ='BB';
UPDATE dds_country_code set insee_code = '99435' WHERE country_code_iso ='GD';
UPDATE dds_country_code set insee_code = '99436' WHERE country_code_iso ='BS';
UPDATE dds_country_code set insee_code = '99437' WHERE country_code_iso ='SR';
UPDATE dds_country_code set insee_code = '99438' WHERE country_code_iso ='DM';
UPDATE dds_country_code set insee_code = '99439' WHERE country_code_iso ='LC';
UPDATE dds_country_code set insee_code = '99440' WHERE country_code_iso ='VC';
UPDATE dds_country_code set insee_code = '99441' WHERE country_code_iso ='AG';
UPDATE dds_country_code set insee_code = '99442' WHERE country_code_iso ='KN';
UPDATE dds_country_code set insee_code = '99443' WHERE country_code_iso ='BQ';
UPDATE dds_country_code set insee_code = '99444' WHERE country_code_iso ='CW';
UPDATE dds_country_code set insee_code = '99445' WHERE country_code_iso ='SX';
UPDATE dds_country_code set insee_code = '99501' WHERE country_code_iso ='AU';
UPDATE dds_country_code set insee_code = '99501' WHERE country_code_iso ='HM';
UPDATE dds_country_code set insee_code = '99501' WHERE country_code_iso ='CX';
UPDATE dds_country_code set insee_code = '99501' WHERE country_code_iso ='CC';
UPDATE dds_country_code set insee_code = '99501' WHERE country_code_iso ='NF';
UPDATE dds_country_code set insee_code = '99502' WHERE country_code_iso ='NZ';
UPDATE dds_country_code set insee_code = '99502' WHERE country_code_iso ='NU';
UPDATE dds_country_code set insee_code = '99502' WHERE country_code_iso ='TK';
UPDATE dds_country_code set insee_code = '99502' WHERE country_code_iso ='CK';
UPDATE dds_country_code set insee_code = '99503' WHERE country_code_iso ='PN';
UPDATE dds_country_code set insee_code = '99505' WHERE country_code_iso ='MP';
UPDATE dds_country_code set insee_code = '99505' WHERE country_code_iso ='AS';
UPDATE dds_country_code set insee_code = '99505' WHERE country_code_iso ='GU';
UPDATE dds_country_code set insee_code = '99506' WHERE country_code_iso ='WS';
UPDATE dds_country_code set insee_code = '99507' WHERE country_code_iso ='NR';
UPDATE dds_country_code set insee_code = '99508' WHERE country_code_iso ='FJ';
UPDATE dds_country_code set insee_code = '99509' WHERE country_code_iso ='TO';
UPDATE dds_country_code set insee_code = '99510' WHERE country_code_iso ='PG';
UPDATE dds_country_code set insee_code = '99511' WHERE country_code_iso ='TV';
UPDATE dds_country_code set insee_code = '99512' WHERE country_code_iso ='SB';
UPDATE dds_country_code set insee_code = '99513' WHERE country_code_iso ='KI';
UPDATE dds_country_code set insee_code = '99514' WHERE country_code_iso ='VU';
UPDATE dds_country_code set insee_code = '99515' WHERE country_code_iso ='MH';
UPDATE dds_country_code set insee_code = '99516' WHERE country_code_iso ='FM';
UPDATE dds_country_code set insee_code = '99517' WHERE country_code_iso ='PW';

UPDATE dds_country_code set country_oid = '1.2.250.1.213.1.4.6' WHERE country_code_iso ='FR';
